package com.zaojiao.app.data.repo

import com.zaojiao.app.data.remote.RemoteUserData
import javax.inject.Inject


class UserRepositoryImpl @Inject constructor(
    private val remoteUserData: RemoteUserData,
) : UserRepository {
    override suspend fun getUser(): String {
        return remoteUserData.getUser()
    }

    override suspend fun getBaby() {
        TODO("Not yet implemented")
    }

    override suspend fun getPhone() {
        TODO("Not yet implemented")
    }

    override suspend fun getWechat() {
        TODO("Not yet implemented")
    }
}